---
- hosts: dbservers
  become: true
  remote_user: ansible
  vars:
    version: "5.1"
    wordpress_db_name: "wordpress"
    wordpress_db_username: "wordpress"
    wordpress_db_server: "db1"
  tasks:
  - name: "Install MySQL"
    yum:
      name:
      - mariadb-server
      - MySQL-python
      state: installed
  - name: "Enable and start MySQL"
    service:
      name: mariadb
      state: started
      enabled: true
  - name: "Create database for Wordpress"
    mysql_db:
      name="{{ wordpress_db_name }}"
      state=present
  - name: "Read the vault"
    include_vars: vault.yml
  - name: "Create user for Wordpress"
    mysql_user:
      name="{{ wordpress_db_username }}"
      password="{{ vault_wordpress_db_password }}"
      priv="{{ wordpress_db_name }}.*:ALL"
      host="%"
      state=present
